Google Finance
Google Finance: Quote
Quote from Google Finance. Costs 1 credit per successful call.
GET
https://api.perceptlayer.com
/
v1
/
google-finance
/
quote
Quote
curl --request GET \
--url https://api.perceptlayer.com/v1/google-finance/quote \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/google-finance/quote"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/google-finance/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/google-finance/quote';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/google-finance/quote"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/google-finance/quote",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/google-finance/quote")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/google-finance/quote")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "google-finance.quote",
"params": {
"symbol": "AAPL",
"exchange": "NASDAQ"
},
"response": {
"quote": {
"summary": {
"name": "Apple Inc",
"symbol": "AAPL",
"exchange": "NASDAQ",
"current_price": 347.725,
"price_change": -0.49,
"percent_change": -0.14,
"currency": "USD",
"market": {
"trading": "Extended Hours",
"price": "$347.20",
"extracted_price": 347.2001,
"price_movement": {
"percentage": 0.15,
"movement": "Down"
}
},
"extensions": [
"USD"
]
},
"key_stats": {
"previous_close": "$348.22",
"day_range": "$345.75 - $351.73",
"year_range": "$243.42 - $351.73",
"market_cap": "5.07T USD",
"avg_volume": "39.13M",
"pe_ratio": 39.86,
"dividend_yield": "0.31%",
"primary_exchange": "NASDAQ",
"stats": [
{
"label": "Previous close",
"value": "$348.22",
"description": "The last closing price"
},
{
"label": "Day range",
"value": "$345.75 - $351.73",
"description": "The range between the high and low prices over the past day"
},
{
"label": "Year range",
"value": "$243.42 - $351.73",
"description": "The range between the high and low prices over the past year"
}
]
},
"about": {
"description": "Apple Inc. is an American multinational technology company headquartered in Cupertino, California, in Silicon Valley, and known for consumer electronics, software and online services. Founded in 1976 as Apple Computer Company by Steve Jobs,…",
"ceo": "John Ternus",
"founded": "Apr 1, 1976",
"headquarters": "Cupertino, California, United States",
"employees": "166,000",
"info": [
{
"label": "Previous close",
"value": "$348.22"
},
{
"label": "Day range",
"value": "$345.75 - $351.73"
},
{
"label": "Year range",
"value": "$243.42 - $351.73"
}
]
},
"financials": [
{
"title": "Income Statement",
"results": [
{
"date": "Jun 2026",
"period_type": "Quarterly",
"table": [
"…",
"…",
"…"
]
},
{
"date": "Mar 2026",
"period_type": "Quarterly",
"table": [
"…",
"…",
"…"
]
},
{
"date": "Dec 2025",
"period_type": "Quarterly",
"table": [
"…",
"…",
"…"
]
}
]
},
{
"title": "Balance Sheet",
"results": [
{
"date": "Jun 2026",
"period_type": "Quarterly",
"table": [
"…",
"…",
"…"
]
},
{
"date": "Mar 2026",
"period_type": "Quarterly",
"table": [
"…",
"…",
"…"
]
},
{
"date": "Dec 2025",
"period_type": "Quarterly",
"table": [
"…",
"…",
"…"
]
}
]
},
{
"title": "Cash Flow",
"results": [
{
"date": "Jun 2026",
"period_type": "Quarterly",
"table": [
"…",
"…",
"…"
]
},
{
"date": "Mar 2026",
"period_type": "Quarterly",
"table": [
"…",
"…",
"…"
]
},
{
"date": "Dec 2025",
"period_type": "Quarterly",
"table": [
"…",
"…",
"…"
]
}
]
}
]
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}1 credit per successful call; failed calls are free. See the Google Finance API overview for every Google Finance endpoint.
Authorizations
Query Parameters
Maximum string length:
20Available options:
quarterly, annual Maximum string length:
10Maximum string length:
10Was this page helpful?
⌘I
Quote
curl --request GET \
--url https://api.perceptlayer.com/v1/google-finance/quote \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/google-finance/quote"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/google-finance/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/google-finance/quote';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/google-finance/quote"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/google-finance/quote",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/google-finance/quote")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/google-finance/quote")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "google-finance.quote",
"params": {
"symbol": "AAPL",
"exchange": "NASDAQ"
},
"response": {
"quote": {
"summary": {
"name": "Apple Inc",
"symbol": "AAPL",
"exchange": "NASDAQ",
"current_price": 347.725,
"price_change": -0.49,
"percent_change": -0.14,
"currency": "USD",
"market": {
"trading": "Extended Hours",
"price": "$347.20",
"extracted_price": 347.2001,
"price_movement": {
"percentage": 0.15,
"movement": "Down"
}
},
"extensions": [
"USD"
]
},
"key_stats": {
"previous_close": "$348.22",
"day_range": "$345.75 - $351.73",
"year_range": "$243.42 - $351.73",
"market_cap": "5.07T USD",
"avg_volume": "39.13M",
"pe_ratio": 39.86,
"dividend_yield": "0.31%",
"primary_exchange": "NASDAQ",
"stats": [
{
"label": "Previous close",
"value": "$348.22",
"description": "The last closing price"
},
{
"label": "Day range",
"value": "$345.75 - $351.73",
"description": "The range between the high and low prices over the past day"
},
{
"label": "Year range",
"value": "$243.42 - $351.73",
"description": "The range between the high and low prices over the past year"
}
]
},
"about": {
"description": "Apple Inc. is an American multinational technology company headquartered in Cupertino, California, in Silicon Valley, and known for consumer electronics, software and online services. Founded in 1976 as Apple Computer Company by Steve Jobs,…",
"ceo": "John Ternus",
"founded": "Apr 1, 1976",
"headquarters": "Cupertino, California, United States",
"employees": "166,000",
"info": [
{
"label": "Previous close",
"value": "$348.22"
},
{
"label": "Day range",
"value": "$345.75 - $351.73"
},
{
"label": "Year range",
"value": "$243.42 - $351.73"
}
]
},
"financials": [
{
"title": "Income Statement",
"results": [
{
"date": "Jun 2026",
"period_type": "Quarterly",
"table": [
"…",
"…",
"…"
]
},
{
"date": "Mar 2026",
"period_type": "Quarterly",
"table": [
"…",
"…",
"…"
]
},
{
"date": "Dec 2025",
"period_type": "Quarterly",
"table": [
"…",
"…",
"…"
]
}
]
},
{
"title": "Balance Sheet",
"results": [
{
"date": "Jun 2026",
"period_type": "Quarterly",
"table": [
"…",
"…",
"…"
]
},
{
"date": "Mar 2026",
"period_type": "Quarterly",
"table": [
"…",
"…",
"…"
]
},
{
"date": "Dec 2025",
"period_type": "Quarterly",
"table": [
"…",
"…",
"…"
]
}
]
},
{
"title": "Cash Flow",
"results": [
{
"date": "Jun 2026",
"period_type": "Quarterly",
"table": [
"…",
"…",
"…"
]
},
{
"date": "Mar 2026",
"period_type": "Quarterly",
"table": [
"…",
"…",
"…"
]
},
{
"date": "Dec 2025",
"period_type": "Quarterly",
"table": [
"…",
"…",
"…"
]
}
]
}
]
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}